<?
define("ADMIN_AUTHORIZATION",1);
include("../../../includes/common.php");

$table = "ex_currency_comissions";

$id = trim($_GET['id']=="")?trim($_POST['id']):trim($_GET['id']);



$CheckObj=new TCheckForm;

//$res=pg_query($DB_LINK, );

/*getting row*/
if($id>0){
	$row = mysql_fetch_object(mysql_query("select * from $table where id=$id"));
	$ex_id = $row->ex_currency_id;
	$amount_from = $row->amount_from + 0;
	$amount_to = $row->amount_to + 0;
	$fix = $row->fix + 0;
	$perc = $row->perc*100 + 0;
}
else{
	$id=-1;
}

/* generating fields */
$fields=Array();
if ($id>0) {
    $fields[id]=Array($id,'ID:');
}

$ex_opts = "";
$res = mysql_query("select * from ex_currencies order by position");
while($row=mysql_fetch_object($res)){
	$ex_opts .= "<option value=\"$row->id\" ".($ex_id==$row->id?"selected":"").">$row->name</option>\n";
}


$fields = Array_Merge($fields,Array(
	"ex_id" => Array("<select ".($id<=0?"":"disabled").">
					<option value=\"-1\">-выберите-</option>
					$ex_opts
					</select>",'Валюта:'),
	"amount_from" => Array('<input type="text" size=60 class="text_input">','Сумма ОТ >='),
	"amount_to" => Array('<input type="text" size=60 class="text_input"><br><small>(укажите 0 для бесконечности)</small>','Сумма ДО <'),
	"perc" => Array('<input type="text" size=60 class="text_input">','Комиссия %'),
	"fix" => Array('<input type="text" size=60 class="text_input">','Комиссия фикс'),
));


if(isset($_POST['subm'])){
	reset ($_POST);
	while (list($key, $value) = each ($_POST)) {
		$$key = $value;
	}
	$error = $CheckObj->LocalCheck();
	if((0>=$id)&&is_numeric($_POST['ex_id'])&&$_POST['ex_id'] > 0){
		$row = mysql_fetch_object(mysql_query("select * from ex_currencies where id=".$_POST['ex_id']));
		if($row->id==""){
			$error .="Укажите FM валюту, пожалуйста.<br>\n";
		}
	}
	elseif(0>=$id){
		$error .="Укажите FM валюту, пожалуйста.<br>\n";
	}

	if(!(is_numeric($_POST['amount_from'])&&$_POST['amount_from'] >= 0)){
		$error .="Укажите сумму ОТ, пожалуйста.<br>\n";
	}
	if(!(is_numeric($_POST['amount_to'])&&$_POST['amount_to'] >= 0)){
		$error .="Укажите сумму ДО, пожалуйста.<br>\n";
	}

	if(!(is_numeric($_POST['perc'])&&$_POST['perc'] >= 0)){
		$error .="Укажите процентную комиссию, пожалуйста.<br>\n";
	}
	if(!(is_numeric($_POST['fix'])&&$_POST['fix'] >= 0)){
		$error .="Укажите фиксированную комиссию, пожалуйста.<br>\n";
	}
		
	if($error==""){
		$arr = Array(
			"amount_from"=>$amount_from , 
			"amount_to"=>$amount_to , 
			"perc"=>$perc/100 , 
			"fix"=>$fix,
		);
		
		if ($id <= 0)
		{
			$arr ["ex_currency_id"] = $ex_id;
		}		
		
		if(($id<0?AddRecord($table,$arr,true):UpdateRecord($table,$arr,$id)) ){
			$_SESSION['STATUS_MSG'] = "Информация успешно сохранена!";
			header("Location: ./comissions.php");
			exit;
		}
		else{
			$_SESSION['ERROR_MSG'] = "Ошибка при работе с базой данных.";
			header("Location: ./comissions.php");
			exit;
		}
	}
}	
foreach($fields as $key=>$value){
	$$key=htmlspecialchars(stripslashes($$key));
	$smarty->assign($key,$$key);
}


/* smarty */
$smarty->assign('id',$id);

$page_title = $id>0?"Редактирование комиссии":"Добавление комиссии";
$smarty->assign('index_page','./index.php?l_pager');
$smarty->assign('page_title',$page_title);
$smarty->assign('top_menu_tpl',"admin_excurr_menu.tpl");

$smarty->assign('error',$error);
$smarty->assign('status',$status);

/* table template */
$smarty->assign('fields',$fields);
$smarty->assign('table_width',"95%");
$smarty->assign('main_tpl',"admin_add_form.tpl");
/* display content */
$smarty->display('admin_index.tpl');

?>